<mat-form-field appearance="standard">
  <mat-label>Filter</mat-label>
  <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia" #input>
</mat-form-field>

<div class="mat-elevation-z8">
  <mat-progress-bar mode="indeterminate" *ngIf="isLoading"></mat-progress-bar>
  <table mat-table [dataSource]="dataSource">

    <ng-container matColumnDef="fullName">
      <th mat-header-cell *matHeaderCellDef > FullName </th>
      <td mat-cell *matCellDef="let row"> {{row.lastName + ' ' +  row.firstName + ' ' + row.patronymic}} </td>
    </ng-container>

    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef > Status </th>
      <td mat-cell *matCellDef="let row"> {{activatedName(row.activated)}} </td>
    </ng-container>

    <ng-container matColumnDef="userName">
      <th mat-header-cell *matHeaderCellDef > UserName </th>
      <td mat-cell *matCellDef="let row"> {{row.username}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef > Email </th>
      <td mat-cell *matCellDef="let row"> {{row.email}} </td>
    </ng-container>

    <!-- Fruit Column -->
    <ng-container matColumnDef="role">
      <th mat-header-cell *matHeaderCellDef > Role </th>
      <td mat-cell *matCellDef="let row"> {{roleName(row.role)}} </td>
    </ng-container>

    <ng-container matColumnDef="country">
      <th mat-header-cell *matHeaderCellDef > Country </th>
      <td mat-cell *matCellDef="let row"> {{row.country.name.en}} </td>
    </ng-container>

    <ng-container matColumnDef="organization">
      <th mat-header-cell *matHeaderCellDef > Organization </th>
      <td mat-cell *matCellDef="let row"> {{row.organization}} </td>
    </ng-container>

    <ng-container matColumnDef="contacts">
      <th mat-header-cell *matHeaderCellDef > Contacts </th>
      <td mat-cell *matCellDef="let row"> {{row.contacts}} </td>
    </ng-container>

    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef > Actions </th>
      <td mat-cell *matCellDef="let row">
        <a href="javascript:void(0)" (click)="openDialog(row.id)"><mat-icon aria-hidden="false"
                               aria-label="Example home icon">verified</mat-icon></a>
        <mat-divider vertical></mat-divider>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
    </tr>
  </table>

  <mat-paginator #paginator [pageSizeOptions]="[10, 25, 100]"
                 [pageIndex]="userFilter.pageNumber"
                 [pageSize]="userFilter.pageSize"
                 (page)="pageChanged($event)"
                 [length]="totalCount" aria-label="Select page"></mat-paginator>
</div>
